package com.qmth.sop.common.enums;

/**
 * @Description: 签到状态枚举
 * @Author: CaoZixuan
 * @Date: 2023-09-04
 */
public enum DingStatusEnum {
    SIGN("打卡", "正常打卡"),
    NO_SIGN("未打卡", "未打卡"),
    RE_SIGN("补卡", "sop结束才可以申请补卡"),
    OTHER("在其他sop打卡", "打卡记录在同时进行的其他sop上");

    DingStatusEnum(String title, String desc) {
        this.title = title;
        this.desc = desc;
    }

    private final String title;
    private final String desc;

    public String getTitle() {
        return title;
    }

    public String getDesc() {
        return desc;
    }
}
